Loading...
Searching...
No Matches
pcl::io::SingleBuffer< T > Class Template Reference

A simple buffer that only stores data. More...

`#include <pcl/io/buffers.h>`

Inheritance diagram for pcl::io::SingleBuffer< T >:

## Public Member Functions

| SingleBuffer (std::size_t size)
| Construct a buffer of given size.
| ~SingleBuffer () override
T | operator[] (std::size_t idx) const override
| Access an element at a given index.
void | push (std::vector< T > &data) override
| Insert a new chunk of data into the buffer.
Public Member Functions inherited from pcl::io::Buffer< T >
virtual | ~Buffer ()
std::size_t | size () const
| Get the size of the buffer.

## Additional Inherited Members

Public Types inherited from pcl::io::Buffer< T >
using | value_type = T
Protected Member Functions inherited from pcl::io::Buffer< T >
| Buffer (std::size_t size)
Protected Attributes inherited from pcl::io::Buffer< T >
const std::size_t | size_

## Detailed Description

template<typename T>
class pcl::io::SingleBuffer< T >

A simple buffer that only stores data.

The buffer is thread-safe.

Definition at line 103 of file buffers.h.

## Constructor & Destructor Documentation

## SingleBuffer()

template<typename T >

pcl::io::SingleBuffer< T >::SingleBuffer | ( | std::size_t | size | ) |

Construct a buffer of given size.

Definition at line 85 of file buffers.hpp.

## ~SingleBuffer()

template<typename T >

pcl::io::SingleBuffer< T >::~SingleBuffer | ( |  | ) |

override default

## Member Function Documentation

## operator[]()

template<typename T >

T pcl::io::SingleBuffer< T >::operator[] | ( | std::size_t | idx | ) | const

override virtual

Access an element at a given index.

Implements pcl::io::Buffer< T >.

Definition at line 96 of file buffers.hpp.

## push()

template<typename T >

void pcl::io::SingleBuffer< T >::push | ( | std::vector< T > & | data | ) |

override virtual

Insert a new chunk of data into the buffer.

Note that the data parameter is not `const`-qualified. This is done to allow deriving classes to implement no-copy data insertion, where the data is "stolen" from the input argument.

Implements pcl::io::Buffer< T >.

Definition at line 103 of file buffers.hpp.

The documentation for this class was generated from the following files:

- pcl/io/buffers.h
- pcl/io/impl/buffers.hpp